> For the complete documentation index, see [llms.txt](https://docs.clusters.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.clusters.xyz/getting-started/javascript/cluster-name-address.md).

# Cluster Name → Address

### Bulk get addresses

Get the wallets associated to a cluster name. You can pass just the cluster name or also include the address name.

| Name    | Description                                           |
| ------- | ----------------------------------------------------- |
| `names` | Array of cluster names (with or without address name) |

**Example**

```javascript
await clusters.getAddresses(['clusters', 'clusters/main']);
```

**Response**

> Any names in the array that are not found will be omitted from the response.

{% tabs %}
{% tab title="200" %}

```json
[
  {
    "name": "clusters",
    "type": "evm",
    "address": "0x5755d1dcea21caa687339c305d143e6e78f96adf",
    "clusterName": "clusters",
    "walletName": "main",
    "isVerified": true
  },
  {
    "name": "clusters/main",
    "type": "evm",
    "address": "0x5755d1dcea21caa687339c305d143e6e78f96adf",
    "clusterName": "clusters",
    "walletName": "main",
    "isVerified": true
  }
]
```

{% endtab %}

{% tab title="500" %}

```json
[]
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.clusters.xyz/getting-started/javascript/cluster-name-address.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
